// Copyright (C) 2006 Erik Dahlberg
// 
// This file is part of LSystem3d.
// 
// LSystem3D is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// LSystem3D is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with LSystem3D; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA




#ifndef LSYSTEMPARAMETERS_H
#define LSYSTEMPARAMETERS_H

#include <string>

#include "lindenmayersystem.h"
#include "xmlstructure.h"

using namespace std;



/**
 * Save and load a L-system specification
 */
class LSystemParameters : protected XMLStructure
{
public:
    /**
     * Constructor
     */
    LSystemParameters();

    /**
     * Destructor
     */
    ~LSystemParameters();
    
    /**
     * Load parameters from xml file
     * @param lsystem put parameters into this L-system
     * @param path path to xml file
     */
    void load(LindenmayerSystem *lsystem, string path);
    
    /**
     * Save parameters to xml file
     * @param lsystem get parameters from this L-system
     * @param path path to xml file
     */
    void save(LindenmayerSystem *lsystem, string path);
};



#endif
